// ----------------------------------------------------------------------------
// Libraries
// ----------------------------------------------------------------------------
import React, { Component } from 'react';
import {
  Image, View, Text
} from 'react-native';

import Carousel from 'react-native-pan-controller/helpers/Carousel.js'
import CarouselTabs from 'react-native-pan-controller/helpers/CarouselTabs.js'
import ScrollContainer from 'react-native-pan-controller/helpers/ScrollContainer.js'

const examples = [
  { text: 'A', color: '#241E4E' },
  { text: 'B', color: '#960200' },
  { text: 'C', color: '#CE6C47' },
  { text: 'D', color: '#FFD046' },
  { text: 'E', color: '#EADAA2' }
]
class CoverFlowExample extends Component {

  render() {
    return (
      <View style={{flex: 1, justifyContent: 'center', backgroundColor: 'black'}}>
        <ScrollContainer>{scroll =>
          <View>
            <CarouselTabs scroll={scroll} pageWidth={200} containerWidth={375} tabWidth={100}>
              {examples.map(({ text, color, light }, id) => 
                <Text key={id} style={{ fontFamily: 'Helvetica-Bold', textAlign: 'center', fontSize: 32, color: 'rgba(255,255,255,0.2)'}}>
                {text}
                </Text>
              )}
            </CarouselTabs>
            <View style={{height: 16}} />
            <Carousel 
                style={{flexGrow:1}}
                scroll={scroll} 
                style={{marginLeft: (375-200) / 2}}
                pageWidth={200} >
              {examples.map(({ text, color, light }, id) => 
                <Carousel.Page key={id} style={{height:200}}>
                  <View style={{backgroundColor: color, flex: 1, justifyContent: 'center'}}>
                    
                  </View>
                </Carousel.Page>
              )}
            </Carousel>
          </View>
        }</ScrollContainer>
      </View>
    );
  }
}

export default CoverFlowExample;
