// ----------------------------------------------------------------------------
// Libraries
// ----------------------------------------------------------------------------
import React, { Component } from 'react';
import {
  Animated,
  StyleSheet,
  Text,
  View,
} from 'react-native';

// ----------------------------------------------------------------------------
// Misc
// ----------------------------------------------------------------------------
const views = Array(200).join(".").split("");
const countries = `Afghanistan;Albania;Algeria;Andorra;Angola;Antigua and Barbuda;Argentina;Armenia;Aruba;Australia;Austria;Azerbaijan;Bahamas, The;Bahrain;Bangladesh;Barbados;Belarus;Belgium;Belize;Benin;Bhutan;Bolivia;Bosnia and Herzegovina;Botswana;Brazil;Brunei;Bulgaria;Burkina Faso;Burma;Burundi;Cambodia;Cameroon;Canada;Cabo Verde;Central African Republic;Chad;Chile;China;Colombia;Comoros;Congo, Democratic Republic of the;Congo, Republic of the;Costa Rica;Cote d'Ivoire;Croatia;Cuba;Curacao;Cyprus;Czechia;Denmark;Djibouti;Dominica;Dominican Republic;East Timor (see Timor-Leste);Ecuador;Egypt;El Salvador;Equatorial Guinea;Eritrea;Estonia;Ethiopia;Fiji;Finland;France;Gabon;Gambia, The;Georgia;Germany;Ghana;Greece;Grenada;Guatemala;Guinea;Guinea-Bissau;Guyana;Haiti;Holy See;Honduras;Hong Kong;Hungary;Iceland;India;Indonesia;Iran;Iraq;Ireland;Israel;Italy;Jamaica;Japan;Jordan;Kazakhstan;Kenya;Kiribati;Korea, North;Korea, South;Kosovo;Kuwait;Kyrgyzstan;Laos;Latvia;Lebanon;Lesotho;Liberia;Libya;Liechtenstein;Lithuania;Luxembourg;Macau;Macedonia;Madagascar;Malawi;Malaysia;Maldives;Mali;Malta;Marshall Islands;Mauritania;Mauritius;Mexico;Micronesia;Moldova;Monaco;Mongolia;Montenegro;Morocco;Mozambique;Namibia;Nauru;Nepal;Netherlands;New Zealand;Nicaragua;Niger;Nigeria;North Korea;Norway;Oman;Pakistan;Palau;Palestinian Territories;Panama;Papua New Guinea;Paraguay;Peru;Philippines;Poland;Portugal;Qatar;Romania;Russia;Rwanda;Saint Kitts and Nevis;Saint Lucia;Saint Vincent and the Grenadines;Samoa;San Marino;Sao Tome and Principe;Saudi Arabia;Senegal;Serbia;Seychelles;Sierra Leone;Singapore;Sint Maarten;Slovakia;Slovenia;Solomon Islands;Somalia;South Africa;South Korea;South Sudan;Spain;Sri Lanka;Sudan;Suriname;Swaziland;Sweden;Switzerland;Syria;Taiwan;Tajikistan;Tanzania;Thailand;Timor-Leste;Togo;Tonga;Trinidad and Tobago;Tunisia;Turkey;Turkmenistan;Tuvalu;Uganda;Ukraine;United Arab Emirates;United Kingdom;Uruguay;Uzbekistan;Vanuatu;Venezuela;Vietnam;Yemen;Zambia;Zimbabwe`.split(';')

// ----------------------------------------------------------------------------
// Components
// ----------------------------------------------------------------------------
// import { ScrollView } from 'react-native-pan-controller';


class ScrollViewExample extends Component {
  constructor(props) {
    super(props);

    this.state = {
      scroll: new Animated.Value(0),
      text: "0",
    };
  }

  componentDidMount() {
    this.state.scroll.addListener(({ value}) => {
      // this.setState({ text: value });
    });
  }

  render() {
    return (
      <ScrollView scroll={this.state.scroll}>
        {countries.map((name, i) => (
          <View key={i} style={styles.view}>
            <Text>{name}</Text>
          </View>
        ))}
      </ScrollView>
    );
  }
}

// ----------------------------------------------------------------------------
// propTypes + defaultProps
// ----------------------------------------------------------------------------
const propTypes = {
  // scroll: PropTypes.instanceOf(Animated.Value)
};

const defaultProps = {
  scroll: new Animated.Value(0),
};

// ----------------------------------------------------------------------------
// Components
// ----------------------------------------------------------------------------
import {PanController} from 'react-native-pan-controller';

class ScrollView extends Component {
  render() {
    const { scroll, children } = this.props;
    return (
      <PanController
        style={styles.container}
        vertical
        yBounds={[-40 * countries.length, 0]}
        panY={scroll}
      >
        <Animated.View
          style={{
            transform: [
              { translateY: scroll }
            ]
          }}
        >
          {children}
        </Animated.View>
      </PanController>
    );
  }
}

ScrollView.propTypes = propTypes;
ScrollView.defaultProps = defaultProps;

// ----------------------------------------------------------------------------
// Styles
// ----------------------------------------------------------------------------
const styles = StyleSheet.create({
  container: {
    flex: 1,
    overflow: 'hidden'
  },
  view: {
    height: 40,
    borderWidth: 1,
    borderColor: '#ccc',
  }
});

export default ScrollViewExample;
