/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 */
'use strict';

// ----------------------------------------------------------------------------
// Libraries
// ----------------------------------------------------------------------------
import React, { Component } from 'react';
import {
  AppRegistry,
  Animated,
  StyleSheet,
  TouchableHighlight,
  Text,
  View,
} from 'react-native';

// ----------------------------------------------------------------------------
// Components
// ----------------------------------------------------------------------------
import CoverFlowExample from './examples/CoverFlowExample';
import PageScrollerExample from './examples/PageScrollerExample';
import ScrollViewExample from './examples/ScrollViewExample';

import Carousel from 'react-native-pan-controller/helpers/Carousel.js'

class Example extends Component {
  state = { page: 0 }
  scroll = new Animated.Value(0);

  examples = [
    ['Scroll view', CoverFlowExample], 
    ['Cover flow', CoverFlowExample], 
    ['Page scroller', PageScrollerExample]
  ];

  render() {


    const [name, Component] = this.examples[this.state.page];

    return (
      <View style={{flex:1}}>
        <View style={{backgroundColor: '#960200'}}>
        <View style={{height: 20}}/>

          <Carousel 
              scroll={this.scroll} 
              style={{marginLeft: (375-150) / 2}}
              pageWidth={150} 
              onChangePage={(id) => this.setState({ page: id })}>
            {this.examples.map(([name], id) => 
              <Carousel.Page key={id}>
                <Text style={{fontSize: 16, color: 'rgba(0,0,0,0.8)', fontFamily: 'Helvetica-Bold', textAlign:'center', padding: 20}}>{name}</Text>
              </Carousel.Page>
            )}
          </Carousel>

        
        </View>
        <View style={{flex:1}}>
          <Component />
        </View>
      </View>
    )
  }
}

AppRegistry.registerComponent('example2', () => Example);
