import React, { Component } from 'react'
import { NativeAnimation, Animated, Text, View } from 'react-native'

import {PanController} from 'react-native-pan-controller'

export default class Carousel extends Component {

  handleSnapped = (endValue) => {
    const endPageId = Math.floor(-endValue / this.props.pageWidth);
    this.props.onChangePage && this.props.onChangePage(endPageId);
  }

  render() {
    // const { children } = this.props;
    const children = React.Children.toArray(this.props.children);


    const newChildren = React.Children.map(children, (child, childId) => {
      const childInner = React.cloneElement(child, {
        width: this.props.pageWidth// this.state.width * child.props.width,
      });
      return childInner;
    });

    const translateX = this.props.scroll;


    return (
      <PanController horizontal
          style={this.props.style}
          overshootX="spring"
          xBounds={[-(children.length-1) * this.props.pageWidth, 0]}
          snapSpacingX={this.props.pageWidth}
          xMode="snap"
          panX={this.props.scroll}
          onSnapped={this.handleSnapped}
          onMoveShouldSetPanResponder={(ev, g) => {
            return Math.abs(g.dx) > 10; //g.moveX > 100
          }}>
        <Animated.View style={{ flexDirection: 'row', transform: [{ translateX }] }}>
          {newChildren}
        </Animated.View>
      </PanController>
      
    );
  }
    

  static Page = class CarouselPage extends Component {
    render() {
      const { children, ...rest } = this.props;
      return <View {...rest}>{children}</View>;
    }
  }
}
