import React, {Component} from 'react'
import { Animated } from 'react-native'

export default function CarouselTabs({children, scroll, containerWidth, pageWidth, tabWidth}) {
  const translateX = scroll.interpolate({
    inputRange: [0, 1],
    outputRange: [0, tabWidth/pageWidth],
  });

  return (
    <Animated.View style={{ marginLeft: (containerWidth-tabWidth)/2, flexDirection: 'row', transform: [{ translateX }] }}>
      {React.Children.map(children, child => 
        React.cloneElement(child, { style: [child.props.style, { width: tabWidth }] }))}
    </Animated.View>
  )
}